Subject: Re: [tsvwg] WGLC for draft-ietf-tsvwg-sctp-failover-08 - To conclude 19th November, 2014

From: Bob Braden <[email-masked]>
Date: Tue, 25 Nov 2014 20:37:02 -0000

On 11/25/2014 11:53 AM, Becke, Martin wrote:
>
> - “Heartbeats SHOULD be sent to PF destination(s) once per RTO. This means the sender MUST ignore HB.interval for PF destinations.”
>   
How about: "Heartbeats are sent to PF destination(s) once per RTO" ?  
There is no need to shout... ;-)

Bob Braden

> This sounds strange to me. Why is SHOULD used here and what are the alternatives, when I MUST ignore HB.interval for PF destinations. I guess a rephrase of this two lines can help.
>
> - A link is missing in Section 5.1: [RFC6458] defines the constants SCTP_ADDR_AVAILABLE,….
>
> Best
> ________________________________________
> Von: tsvwg [[email-masked]]&quot; im Auftrag von &quot;[email-masked] [[email-masked]]
> Gesendet: Mittwoch, 29. Oktober 2014 15:01
> An: [email-masked]
> Cc: [email-masked]
> Betreff: [tsvwg] WGLC for draft-ietf-tsvwg-sctp-failover-08 - To conclude 19th November, 2014
>
> TSVWG,
>
> This is the start of a WGLC on "Quick Failover Algorithm in SCTP".
> https://tools.ietf.org/html/draft-ietf-tsvwg-sctp-failover-08
>
> This WGLC will last until Wednesday, 19th November, 2014, this includes
> the period of the coming IETF meeting.
>
> A good note to the list is "I have read this version of the draft,
> and I approve (or support) its progression to RFC". The chairs
> request notes to the list showing support to get a sense of the WG.
>
> Of course, you can ask for alternate text (where you supply the
> actual replacement text, or convey the meaning sufficiently to the
> authors) for anywhere in the document that you find unclear or troublesome.
>
> James/Gorry/David
> TSVWG chairs
>
>

-- 
Robert Braden
Internet and Networked Systems Division
USC Information Sciences Institute
310.448.9173

---

From: Yoshifumi Nishida <[email-masked]>
Date: Fri, 19 Dec 2014 00:12:52 -0800

Hello Bob,

Thank you so much for the feedback.

On Tue, Nov 25, 2014 at 12:36 PM, Bob Braden <[email-masked]>
wrote:
>> - “Heartbeats SHOULD be sent to PF destination(s) once per RTO. This
>> means the sender MUST ignore HB.interval for PF destinations.”
>>
>>

I think this is one of key points in PF as this affects the performance of
PF. The default value of HB.interval is 30 secs which is much longer than
RTO.
So, I personally prefer to use SHOULD here in order to make sure to ignore
HB.interval. I will update the text to clarify this point.

Regards,
--
Yoshi

>
>
>
>  This sounds strange to me. Why is SHOULD used here and what are the
>> alternatives, when I MUST ignore HB.interval for PF destinations. I guess a
>> rephrase of this two lines can help.
>>
>> Von: tsvwg [[email-masked]]&quot; im Auftrag von &
>> quot;[email-masked] [[email-masked]]